POST api/CallBack

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
result
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "tx_reference": "sample string 1",
  "identifier": "sample string 2",
  "payment_reference": "sample string 3",
  "amount": "sample string 4",
  "datetime": "sample string 5",
  "payment_method": "sample string 6",
  "phone_number": "sample string 7"
}

text/html

Sample:
{"tx_reference":"sample string 1","identifier":"sample string 2","payment_reference":"sample string 3","amount":"sample string 4","datetime":"sample string 5","payment_method":"sample string 6","phone_number":"sample string 7"}

application/xml, text/xml

Sample:
<CallBackController.MyResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SotralWebApi.Controllers">
  <amount>sample string 4</amount>
  <datetime>sample string 5</datetime>
  <identifier>sample string 2</identifier>
  <payment_method>sample string 6</payment_method>
  <payment_reference>sample string 3</payment_reference>
  <phone_number>sample string 7</phone_number>
  <tx_reference>sample string 1</tx_reference>
</CallBackController.MyResult>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json, text/html

Sample:
"sample string 1"

application/xml, text/xml

Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>